Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deBrush.hpp File Reference

Geometry Calculation & storage. More...

`#include "deGlobalTypes.hpp"`
`#include "deList.hpp"`
`#include "deArray.hpp"`
`#include "deRenderStates.hpp"`
`#include "deWorld.hpp"`

Include dependency graph for deBrush.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | IdeBezierBrush
| Holds a bezier surface, defined by the input CV's. More...
struct | BIndexList
class | IdeBlockBrush
| A convex hull brush - generates a convex hull that encloses the set of CV's. More...
class | IdeBrush
struct | deBrushIndexData
struct | deBrushVertexData
class | IdeCylinderBrush
| Makes cylinders of any shape and size. More...
class | IdeExtrudedBrush
| makes a surface by extruding a line along another line. More...
class | IdeGroupBrush
| Can store other brushes inside this one, and treat them as one. More...
class | IdeLargeStaticBrush
class | IdeLathedBrush
| Makes a surface by revolving a line around an axis. More...
class | IdeLineBrush
| just contains lines, defined by the CV's. More...
class | IdePrismBrush
| A convex hull brush - creates a convex hull defined by the input planes (stored in CV's). More...
class | IdeStaticBrush
## Defines
#define | DEBRUSH_API extern "C" DEDLL_IMPORT
## Functions
DEDLL_IMPORT deBoolean | IdeBrush_Initialize ()
DEDLL_IMPORT long | IdeBrush_GetWOInterfaceID ()
DEDLL_IMPORT IdeBrush * | IdeBrush_CreateBrush (IdeBrush::deBrushType Type)
DEDLL_IMPORT deBoolean | IdeBrush_LoadFromXFile (const char *filename, deTList< IdeStaticBrush * > &brushplist)
DEDLL_IMPORT deBoolean | IdeBrush_LoadLargeStaticeFromXFile (const char *filename, IdeLargeStaticBrush *pBrush, const deTransformInfo *Transform=(0))
DEDLL_IMPORT deBoolean | IdeBrush_LoadFromQ3BSP (const char *filename, IdeLargeStaticBrush *pBrush, deDouble Scale=1.0)

## Detailed Description

Geometry Calculation & storage.

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Oct 2001

Author:
  Assassin

Remarks:
  Creation

Date:
  Oct 2002

Author:
  Assassin

Remarks:
  Major restructuring and interface implementation, deWorld integration

## Define Documentation

#define DEBRUSH_API extern "C" DEDLL_IMPORT

## Function Documentation

DEDLL_IMPORT IdeBrush* IdeBrush_CreateBrush | ( | IdeBrush::deBrushType | Type | ) |

DEDLL_IMPORT long IdeBrush_GetWOInterfaceID | ( |  | ) |

DEDLL_IMPORT deBoolean IdeBrush_Initialize | ( |  | ) |

DEDLL_IMPORT deBoolean IdeBrush_LoadFromQ3BSP | ( | const char * | filename,
|  | IdeLargeStaticBrush * | pBrush,
|  | deDouble | Scale = 1.0
| ) |

| ONLY FOR TESTING PURPOSES! DO NOT use Quake 3 maps created in whole or in part with tools that restrict usage of the content. Q3Radiant may not be used to create content for Destiny3D without a full license to the Quake 3 engine.

DEDLL_IMPORT deBoolean IdeBrush_LoadFromXFile | ( | const char * | filename,
|  | deTList< IdeStaticBrush * > & | brushplist
| ) |

DEDLL_IMPORT deBoolean IdeBrush_LoadLargeStaticeFromXFile | ( | const char * | filename,
|  | IdeLargeStaticBrush * | pBrush,
|  | const deTransformInfo * | Transform = (0)
| ) |